com.aliyun.svideosdk.common.struct.effect

## Enum ActionBase.Type

- java.lang.Object
- - java.lang.Enum<ActionBase.Type>
  - - com.aliyun.svideosdk.common.struct.effect.ActionBase.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActionBase.Type>
  Enclosing class:
    ActionBase

      public static enum ActionBase.Type
      extends java.lang.Enum<ActionBase.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `action_set` 动画组
    `alpha` 淡入淡出
    `custom` 自定义
    `rotate_by` 以某个角度旋转
    `rotate_repeat` 循环旋转
    `rotate_to` 旋转到某个角度
    `scale` 缩放
    `swipe` 擦除
    `translate` 平移

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionBase.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionBase.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### alpha

          public static final ActionBase.Type alpha

      淡入淡出

    - #### scale

          public static final ActionBase.Type scale

      缩放

    - #### translate

          public static final ActionBase.Type translate

      平移

    - #### rotate_repeat

          public static final ActionBase.Type rotate_repeat

      循环旋转

    - #### rotate_by

          public static final ActionBase.Type rotate_by

      以某个角度旋转

    - #### rotate_to

          public static final ActionBase.Type rotate_to

      旋转到某个角度

    - #### swipe

          public static final ActionBase.Type swipe

      擦除

    - #### custom

          public static final ActionBase.Type custom

      自定义

    - #### action_set

          public static final ActionBase.Type action_set

      动画组

  - ### Method Detail

    - #### values

          public static ActionBase.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionBase.Type c : ActionBase.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionBase.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null